<?php
class Freshmail_Subscription_Block_Adminhtml_View extends Mage_Adminhtml_Block_Newsletter_Subscriber
{
    public function __construct()
    {
        parent::__construct();
    }
  
    /**
     * Render block HTML
     *
     * @return string
     */
    protected function _toHtml()
    {
        if (!$this->getTemplate()) {
            return '';
        }
        $html = $this->renderView();
        $script = '
        <script>
        $$(".filter-actions")["0"].insert({
            top: new Element("button", {
                                        id: "fSync-submit",
                                        class: "scalable task",
                                        onclick: "freshmailSync()"
            })
        });
        $("fSync-submit").insert("<span>Wyślij na Freshmail</span>");
 
        function freshmailSync()
        {
          new Ajax.Request("' . $this->getUrl('subscription/index/sync') . '", {
            method: "post"
          });
        }
        
        </script>
        '; 
        
        $html .= $script;
        return $html;
    }
}