<?php

/**
 * System configuration form field renderer for mapping MergeVars fields with Magento
 * attributes.
 *
 * @category   Ebizmarts
 * @package    Ebizmarts_MageMonkey
 * @author     Ebizmarts Team <info@ebizmarts.com>
 */
class Freshmail_Subscription_Block_Adminhtml_Customfields extends Mage_Adminhtml_Block_System_Config_Form_Field_Array_Abstract
{

    public function __construct() {
        //dodanie kolumny z nazwami atrybutow klienta
        $this->addColumn('magento', array(
            'label' => Mage::helper('subscription')->__('Pole Magento'),
            'style' => 'width:150px',
        ));
        //dodanie olumny z nazwami custom fields freshmaila
        $this->addColumn('freshmail', array(
            'label' => Mage::helper('subscription')->__('Pole Freshmail'),
            'style' => 'width:150px',
        ));
        
        
        $this->_addAfter = false;
        $this->_addButtonLabel = Mage::helper('subscription')->__('Dodaj nowe');
        parent::__construct();
    }
}